.container.contact-container {
    width: 58%;
    display: grid;
    grid-template-columns: 5% 30% 60% 5%;
    grid-template-rows: 20% 80%;
    gap: 1px;
    background: #e7dbdd;
    border: 6px solid #dc9b9b;
    border-radius: 50px;
    z-index: 1;
    position: relative;
    width: 100%;
    height: 40rem;
    max-width: 60rem;
    box-shadow: 30px 20px 20px 5px rgba(0, 0, 0, 0.15),
    inset 15px 15px 10px rgba(255, 255, 255, 0.75),
    -15px -15px 35px rgba(255, 253, 253, 0.253),
    inset -1px -1px 10px rgba(0, 0, 0, 0.2);
}

.contact-title {
    grid-area: 1 / 2 / 2 / 4; 
    margin-top: 2rem;
}

.contact-options {
    grid-area: 1 / 2 / 2 / 4; 
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    margin-top: 5rem;
}

.contact-option {
    width: 15rem;
    background-color: var(--bg--variant);
    padding: 1rem;
    border-radius: 1.2rem;
    text-align: center;
    border: 1px solid transparent;
    transition: var(--transition);
}

.contact-option:hover {
    background: transparent;
    border-color: var(--primary--variant);
}

.contact-option-icon {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}

.contact-option a {
    margin-top: 0.7rem;
    display: inline-block;
    font-size: 0.8rem;
}

/* Form */

form {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    grid-area: 2 / 3 / 3 / 4; 
}

input, textarea {
    width: 100%;
    padding: 1.5rem;
    border-radius: 0.5rem;
    background: whitesmoke;
    border: 2px solid white;
    resize: none;
}

/* Media Breakpoints (MD Devices) */
@media screen and (max-width: 1024px){
    .container.contact-container {
        width: var(--container-width-md);
        grid-template-columns: 5% 90% 5%;
        grid-template-rows: 15% 15% 68%;
        gap: 1rem;
        height: 45rem;
    }

    .contact-title {
        grid-area: 1 / 2 / 2 / 3; 
    }

    .contact-options {
        margin: auto;
        grid-area: 2 / 2 / 3 / 3; 
        flex-direction: row;
        width: var(--container-width-md);
    }

    .contact-option {
        width: 8rem;
    }

    .contact-options h5 {
        display: none;
    }

    form {
        grid-area: 3 / 2 / 4 / 3; 
        width: 32rem;
        margin-top: 3.5rem;
        height: 23rem;
    }
}

/* Media Breakpoints (SM Devices) */
@media screen and (max-width: 600px){
    .container.contact-container {
        width: var(--container-width-sm);
    }
    .contact-options {
        margin: auto;
    }
}